Bug 447099 - Leaving incremental search in viper mode throws error and quits viper mode
Leaving incremental search in viper mode throws error and quits viper mode
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xemacs-packages-extra (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 17:48 EDT by David Costanzo
Modified: 2009-01-09 02:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:49:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Costanzo 2008-05-17 17:48:52 EDT
Description of problem:
XEmacs supports incremental search.  It also supports VI key bindings through a
package called "viper".  However, when you use both of these features together,
XEmacs on Fedora Core 8 has an error and quits viper mode.  This leaves XEmacs
in an inconsistent state, which you must recover from by pressing CTRL+Z a few
times.

This is a regression, but I'm not sure when it was first introduced.  I think it
started happening during Fedora Core 6, but I can't remember.  This does not
happen when I use the XEmacs that comes with cygwin on Windows.

User Impact:
Medium.  I find this bug annoying and frustrating, since I use XEmacs and viper
extensively.  I have not been able to untrain myself from leaving incremental
search with the arrow keys, partly because this works when using cygwin's xemacs
on Windows.

Version-Release number of selected component (if applicable):
xemacs-packages-extra-20070427-1.fc8

How reproducible:
Every Time

Steps to Reproduce:
1. Start Xemacs
2. Enter Viper Mode.  If this is the first time you've done this:
2a. META+X viper-mode ENTER
2b. Choose 5 (wizard level)
3. Open a file.
4. Start an incremental search (CTRL+S)
5. Type something until you find what you're looking for
6. Press the right arrow key to leave incremental search at the location where
you found the match.

Actual results:
XEmacs opens a new window that contains an error (see "Additional Information"
below).  You are no longer in VIPER mode, so the keyboard does not behave like
you'd expect.

Expected results:
You leave the incremental search.  Point is at the position where the match was.
 You are still in VIPER mode.

Additional info:
Here is the contents of the error window:

(3) (error/warning) Error in `pre-command-hook' (resetting to nil): Attempt to
throw outside of function:To catch `exit' with value `nil'

Backtrace follows:

  # bind (inhibit-quit)
  throw(exit nil)
  exit-recursive-edit()
  # bind (edit nopush)
  isearch-done()
  isearch-pre-command-hook()
  # (unwind-protect ...)
  # (catch #<INTERNAL OBJECT (XEmacs bug?) (opaque, size=0) 0x842b05c> ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (condition-case ... . error)
  # (catch exit ...)
  # bind (standard-input standard-output)
  # (unwind-protect ...)
  recursive-edit()
  # bind (isearch-recursive-edit word-p recursive-edit op-fun regexp forward)
  isearch-mode(t nil nil t)
  # bind (no-recursive-edit regexp-p)
  isearch-forward(nil)
  eval((isearch-forward nil))
  # bind (buff result form)
  viper-exec-form-in-emacs((isearch-forward nil))
  # bind (arg)
  viper-isearch-forward(nil)
  # bind (command-debug-status)
  call-interactively(viper-isearch-forward)
  # (condition-case ... . error)
  # (catch exit ...)
  # bind (standard-input standard-output)
  # (unwind-protect ...)
  recursive-edit()
  # bind (isearch-recursive-edit word-p recursive-edit op-fun regexp forward)
  isearch-mode(t nil nil t)
  # bind (no-recursive-edit regexp-p)
  isearch-forward(nil)
  eval((isearch-forward nil))
  # bind (buff result form)
  viper-exec-form-in-emacs((isearch-forward nil))
  # bind (arg)
  viper-isearch-forward(nil)
  # bind (command-debug-status)
  call-interactively(viper-isearch-forward)
  # (condition-case ... . error)
  # (catch top-level ...)
Comment 1 Ville Skyttä 2008-05-17 18:05:10 EDT
Could you try with the latest upstream experimental viper package?  Instructions
how to do that are in bug are at 432101 comment 1, URL to the latest viper
package is http://ftp.xemacs.org/beta/experimental/packages/viper-1.63-pkg.tar.gz
Comment 2 David Costanzo 2008-05-17 18:32:47 EDT
Yes, that fixes the problem, thanks.

FYI, when I start XEmacs now, I get a different error (see below).  I suspect
that this is because I now have two vipers on my system and they confict, but I
don't really know how to interpret the error.  In any event, I am much happier
with a single error on startup, than an error every time I use incremental search.

(1) (packages/warning) Error in Autoload
/usr/share/xemacs/xemacs-packages/lisp/viper/auto-autoloads: Feature
viper-autoloads already loaded

Backtrace follows:

  signal(error ("Feature viper-autoloads already loaded"))
  # bind (args datum)
  cerror("Feature viper-autoloads already loaded")
  apply(cerror "Feature viper-autoloads already loaded" nil)
  # bind (args datum)
  error("Feature viper-autoloads already loaded")
  byte-code("..." [featurep viper-autoloads error "Feature viper-autoloads
already loaded" package-provide viper :version 1.55 :author-version "3.09" :type
regular] 8)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  # (unwind-protect ...)
  load-internal("/usr/share/xemacs/xemacs-packages/lisp/viper/auto-autoloads" t
t nil binary)
  # bind (path handler filename nosuffix nomessage noerror file)
  load("/usr/share/xemacs/xemacs-packages/lisp/viper/auto-autoloads" t t)
  #<compiled-function nil "...(6)" [file-name load t] 4>()
  # (unwind-protect ...)
  call-with-condition-handler(#<compiled-function (__call_trapping_errors_arg__)
"...(20)" [file-name __call_trapping_errors_arg__ errstr error-message-string
lwarn packages warning "Error in %s: %s\n\nBacktrace follows:\n\n%s" format
"Autoload %s" backtrace-in-condition-handler-eliminating-handler] 8>
#<compiled-function nil "...(6)" [file-name load t] 4>)
  # (condition-case ... . ((error)))
  # bind (file-name dir)
  #<compiled-function (dir) "...(11)" [file-name dir base expand-file-name nil
(call-with-condition-handler #<compiled-function (__call_trapping_errors_arg__)
"...(20)" [file-name __call_trapping_errors_arg__ errstr error-message-string
lwarn packages warning "Error in %s: %s\n\nBacktrace follows:\n\n%s" format
"Autoload %s" backtrace-in-condition-handler-eliminating-handler] 8>
#<compiled-function nil "...(6)" [file-name load t] 4>) ((error))]
3>("/usr/share/xemacs/xemacs-packages/lisp/viper/")
  mapcar(#<compiled-function (dir) "...(11)" [file-name dir base
expand-file-name nil (call-with-condition-handler #<compiled-function
(__call_trapping_errors_arg__) "...(20)" [file-name __call_trapping_errors_arg__
errstr error-message-string lwarn packages warning "Error in %s: %s\n\nBacktrace
follows:\n\n%s" format "Autoload %s"
backtrace-in-condition-handler-eliminating-handler] 8> #<compiled-function nil
"...(6)" [file-name load t] 4>) ((error))] 3>
("/usr/share/xemacs/site-packages/lisp/"
"/usr/share/xemacs/site-packages/lisp/site-start.d/"
"/usr/share/xemacs/mule-packages/lisp/"
"/usr/share/xemacs/mule-packages/lisp/edict/"
"/usr/share/xemacs/mule-packages/lisp/egg-its/"
"/usr/share/xemacs/mule-packages/lisp/latin-euro-standards/"
"/usr/share/xemacs/mule-packages/lisp/latin-unity/"
"/usr/share/xemacs/mule-packages/lisp/leim/"
"/usr/share/xemacs/mule-packages/lisp/locale/"
"/usr/share/xemacs/mule-packages/lisp/lookup/"
"/usr/share/xemacs/mule-packages/lisp/mule-base/"
"/usr/share/xemacs/xemacs-packages/lisp/"
"/usr/share/xemacs/xemacs-packages/lisp/ada/"
"/usr/share/xemacs/xemacs-packages/lisp/apel/"
"/usr/share/xemacs/xemacs-packages/lisp/auctex/"
"/usr/share/xemacs/xemacs-packages/lisp/bbdb/"
"/usr/share/xemacs/xemacs-packages/lisp/build/"
"/usr/share/xemacs/xemacs-packages/lisp/c-support/"
"/usr/share/xemacs/xemacs-packages/lisp/calc/"
"/usr/share/xemacs/xemacs-packages/lisp/calendar/"
"/usr/share/xemacs/xemacs-packages/lisp/cc-mode/"
"/usr/share/xemacs/xemacs-packages/lisp/clearcase/"
"/usr/share/xemacs/xemacs-packages/lisp/cookie/"
"/usr/share/xemacs/xemacs-packages/lisp/crisp/"
"/usr/share/xemacs/xemacs-packages/lisp/debug/"
"/usr/share/xemacs/xemacs-packages/lisp/dictionary/"
"/usr/share/xemacs/xemacs-packages/lisp/dired/"
"/usr/share/xemacs/xemacs-packages/lisp/docbookide/"
"/usr/share/xemacs/xemacs-packages/lisp/ecb/"
"/usr/share/xemacs/xemacs-packages/lisp/ecrypto/"
"/usr/share/xemacs/xemacs-packages/lisp/edebug/"
"/usr/share/xemacs/xemacs-packages/lisp/ediff/"
"/usr/share/xemacs/xemacs-packages/lisp/edit-utils/"
"/usr/share/xemacs/xemacs-packages/lisp/edt/"
"/usr/share/xemacs/xemacs-packages/lisp/efs/"
"/usr/share/xemacs/xemacs-packages/lisp/eieio/"
"/usr/share/xemacs/xemacs-packages/lisp/elib/"
"/usr/share/xemacs/xemacs-packages/lisp/emerge/"
"/usr/share/xemacs/xemacs-packages/lisp/erc/"
"/usr/share/xemacs/xemacs-packages/lisp/escreen/"
"/usr/share/xemacs/xemacs-packages/lisp/eshell/"
"/usr/share/xemacs/xemacs-packages/lisp/eterm/"
"/usr/share/xemacs/xemacs-packages/lisp/eudc/"
"/usr/share/xemacs/xemacs-packages/lisp/footnote/"
"/usr/share/xemacs/xemacs-packages/lisp/forms/"
"/usr/share/xemacs/xemacs-packages/lisp/fortran-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/frame-icon/"
"/usr/share/xemacs/xemacs-packages/lisp/fsf-compat/"
"/usr/share/xemacs/xemacs-packages/lisp/games/"
"/usr/share/xemacs/xemacs-packages/lisp/general-docs/"
"/usr/share/xemacs/xemacs-packages/lisp/gnats/"
"/usr/share/xemacs/xemacs-packages/lisp/gnus/"
"/usr/share/xemacs/xemacs-packages/lisp/haskell-mode/"
"/usr/share/xemacs/xemacs-packages/lisp/hm--html-menus/"
"/usr/share/xemacs/xemacs-packages/lisp/hyperbole/"
"/usr/share/xemacs/xemacs-packages/lisp/ibuffer/"
"/usr/share/xemacs/xemacs-packages/lisp/idlwave/"
"/usr/share/xemacs/xemacs-packages/lisp/igrep/"
"/usr/share/xemacs/xemacs-packages/lisp/ilisp/"
"/usr/share/xemacs/xemacs-packages/lisp/ispell/"
"/usr/share/xemacs/xemacs-packages/lisp/mail-lib/"
"/usr/share/xemacs/xemacs-packages/lisp/mailcrypt/"
"/usr/share/xemacs/xemacs-packages/lisp/mh-e/"
"/usr/share/xemacs/xemacs-packages/lisp/mine/"
"/usr/share/xemacs/xemacs-packages/lisp/misc-games/"
"/usr/share/xemacs/xemacs-packages/lisp/mmm-mode/"
"/usr/share/xemacs/xemacs-packages/lisp/net-utils/"
"/usr/share/xemacs/xemacs-packages/lisp/ocaml/"
"/usr/share/xemacs/xemacs-packages/lisp/oo-browser/"
"/usr/share/xemacs/xemacs-packages/lisp/os-utils/"
"/usr/share/xemacs/xemacs-packages/lisp/pc/"
"/usr/share/xemacs/xemacs-packages/lisp/pcl-cvs/"
"/usr/share/xemacs/xemacs-packages/lisp/pcomplete/"
"/usr/share/xemacs/xemacs-packages/lisp/perl-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/pgg/"
"/usr/share/xemacs/xemacs-packages/lisp/prog-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/ps-print/"
"/usr/share/xemacs/xemacs-packages/lisp/psgml/"
"/usr/share/xemacs/xemacs-packages/lisp/psgml-dtds/"
"/usr/share/xemacs/xemacs-packages/lisp/python-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/re-builder/"
"/usr/share/xemacs/xemacs-packages/lisp/reftex/"
"/usr/share/xemacs/xemacs-packages/lisp/riece/"
"/usr/share/xemacs/xemacs-packages/lisp/rmail/"
"/usr/share/xemacs/xemacs-packages/lisp/ruby-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/sasl/"
"/usr/share/xemacs/xemacs-packages/lisp/scheme/"
"/usr/share/xemacs/xemacs-packages/lisp/semantic/"
"/usr/share/xemacs/xemacs-packages/lisp/sgml/"
"/usr/share/xemacs/xemacs-packages/lisp/sh-script/"
"/usr/share/xemacs/xemacs-packages/lisp/sieve/"
"/usr/share/xemacs/xemacs-packages/lisp/slider/"
"/usr/share/xemacs/xemacs-packages/lisp/sml-mode/"
"/usr/share/xemacs/xemacs-packages/lisp/sounds-au/"
"/usr/share/xemacs/xemacs-packages/lisp/sounds-wav/"
"/usr/share/xemacs/xemacs-packages/lisp/speedbar/"
"/usr/share/xemacs/xemacs-packages/lisp/strokes/"
"/usr/share/xemacs/xemacs-packages/lisp/supercite/"
"/usr/share/xemacs/xemacs-packages/lisp/texinfo/"
"/usr/share/xemacs/xemacs-packages/lisp/text-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/textools/"
"/usr/share/xemacs/xemacs-packages/lisp/time/"
"/usr/share/xemacs/xemacs-packages/lisp/tm/"
"/usr/share/xemacs/xemacs-packages/lisp/tooltalk/"
"/usr/share/xemacs/xemacs-packages/lisp/tpu/"
"/usr/share/xemacs/xemacs-packages/lisp/tramp/"
"/usr/share/xemacs/xemacs-packages/lisp/vc/"
"/usr/share/xemacs/xemacs-packages/lisp/vc-cc/"
"/usr/share/xemacs/xemacs-packages/lisp/vhdl/"
"/usr/share/xemacs/xemacs-packages/lisp/view-process/"
"/usr/share/xemacs/xemacs-packages/lisp/viper/"
"/usr/share/xemacs/xemacs-packages/lisp/vm/"
"/usr/share/xemacs/xemacs-packages/lisp/w3/"
"/usr/share/xemacs/xemacs-packages/lisp/x-symbol/"
"/usr/share/xemacs/xemacs-packages/lisp/xemacs-base/"
"/usr/share/xemacs/xemacs-packages/lisp/xemacs-devel/"
"/usr/share/xemacs/xemacs-packages/lisp/xetla/"
"/usr/share/xemacs/xemacs-packages/lisp/xlib/"
"/usr/share/xemacs/xemacs-packages/lisp/xslide/"
"/usr/share/xemacs/xemacs-packages/lisp/xslt-process/"
"/usr/share/xemacs/xemacs-packages/lisp/xwem/"
"/usr/share/xemacs/xemacs-packages/lisp/zenirc/"))
  # bind (base package-load-path)
  packages-load-package-lisps(("/usr/share/xemacs/site-packages/lisp/"
"/usr/share/xemacs/site-packages/lisp/site-start.d/"
"/usr/share/xemacs/mule-packages/lisp/"
"/usr/share/xemacs/mule-packages/lisp/edict/"
"/usr/share/xemacs/mule-packages/lisp/egg-its/"
"/usr/share/xemacs/mule-packages/lisp/latin-euro-standards/"
"/usr/share/xemacs/mule-packages/lisp/latin-unity/"
"/usr/share/xemacs/mule-packages/lisp/leim/"
"/usr/share/xemacs/mule-packages/lisp/locale/"
"/usr/share/xemacs/mule-packages/lisp/lookup/"
"/usr/share/xemacs/mule-packages/lisp/mule-base/"
"/usr/share/xemacs/xemacs-packages/lisp/"
"/usr/share/xemacs/xemacs-packages/lisp/ada/"
"/usr/share/xemacs/xemacs-packages/lisp/apel/"
"/usr/share/xemacs/xemacs-packages/lisp/auctex/"
"/usr/share/xemacs/xemacs-packages/lisp/bbdb/"
"/usr/share/xemacs/xemacs-packages/lisp/build/"
"/usr/share/xemacs/xemacs-packages/lisp/c-support/"
"/usr/share/xemacs/xemacs-packages/lisp/calc/"
"/usr/share/xemacs/xemacs-packages/lisp/calendar/"
"/usr/share/xemacs/xemacs-packages/lisp/cc-mode/"
"/usr/share/xemacs/xemacs-packages/lisp/clearcase/"
"/usr/share/xemacs/xemacs-packages/lisp/cookie/"
"/usr/share/xemacs/xemacs-packages/lisp/crisp/"
"/usr/share/xemacs/xemacs-packages/lisp/debug/"
"/usr/share/xemacs/xemacs-packages/lisp/dictionary/"
"/usr/share/xemacs/xemacs-packages/lisp/dired/"
"/usr/share/xemacs/xemacs-packages/lisp/docbookide/"
"/usr/share/xemacs/xemacs-packages/lisp/ecb/"
"/usr/share/xemacs/xemacs-packages/lisp/ecrypto/"
"/usr/share/xemacs/xemacs-packages/lisp/edebug/"
"/usr/share/xemacs/xemacs-packages/lisp/ediff/"
"/usr/share/xemacs/xemacs-packages/lisp/edit-utils/"
"/usr/share/xemacs/xemacs-packages/lisp/edt/"
"/usr/share/xemacs/xemacs-packages/lisp/efs/"
"/usr/share/xemacs/xemacs-packages/lisp/eieio/"
"/usr/share/xemacs/xemacs-packages/lisp/elib/"
"/usr/share/xemacs/xemacs-packages/lisp/emerge/"
"/usr/share/xemacs/xemacs-packages/lisp/erc/"
"/usr/share/xemacs/xemacs-packages/lisp/escreen/"
"/usr/share/xemacs/xemacs-packages/lisp/eshell/"
"/usr/share/xemacs/xemacs-packages/lisp/eterm/"
"/usr/share/xemacs/xemacs-packages/lisp/eudc/"
"/usr/share/xemacs/xemacs-packages/lisp/footnote/"
"/usr/share/xemacs/xemacs-packages/lisp/forms/"
"/usr/share/xemacs/xemacs-packages/lisp/fortran-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/frame-icon/"
"/usr/share/xemacs/xemacs-packages/lisp/fsf-compat/"
"/usr/share/xemacs/xemacs-packages/lisp/games/"
"/usr/share/xemacs/xemacs-packages/lisp/general-docs/"
"/usr/share/xemacs/xemacs-packages/lisp/gnats/"
"/usr/share/xemacs/xemacs-packages/lisp/gnus/"
"/usr/share/xemacs/xemacs-packages/lisp/haskell-mode/"
"/usr/share/xemacs/xemacs-packages/lisp/hm--html-menus/"
"/usr/share/xemacs/xemacs-packages/lisp/hyperbole/"
"/usr/share/xemacs/xemacs-packages/lisp/ibuffer/"
"/usr/share/xemacs/xemacs-packages/lisp/idlwave/"
"/usr/share/xemacs/xemacs-packages/lisp/igrep/"
"/usr/share/xemacs/xemacs-packages/lisp/ilisp/"
"/usr/share/xemacs/xemacs-packages/lisp/ispell/"
"/usr/share/xemacs/xemacs-packages/lisp/mail-lib/"
"/usr/share/xemacs/xemacs-packages/lisp/mailcrypt/"
"/usr/share/xemacs/xemacs-packages/lisp/mh-e/"
"/usr/share/xemacs/xemacs-packages/lisp/mine/"
"/usr/share/xemacs/xemacs-packages/lisp/misc-games/"
"/usr/share/xemacs/xemacs-packages/lisp/mmm-mode/"
"/usr/share/xemacs/xemacs-packages/lisp/net-utils/"
"/usr/share/xemacs/xemacs-packages/lisp/ocaml/"
"/usr/share/xemacs/xemacs-packages/lisp/oo-browser/"
"/usr/share/xemacs/xemacs-packages/lisp/os-utils/"
"/usr/share/xemacs/xemacs-packages/lisp/pc/"
"/usr/share/xemacs/xemacs-packages/lisp/pcl-cvs/"
"/usr/share/xemacs/xemacs-packages/lisp/pcomplete/"
"/usr/share/xemacs/xemacs-packages/lisp/perl-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/pgg/"
"/usr/share/xemacs/xemacs-packages/lisp/prog-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/ps-print/"
"/usr/share/xemacs/xemacs-packages/lisp/psgml/"
"/usr/share/xemacs/xemacs-packages/lisp/psgml-dtds/"
"/usr/share/xemacs/xemacs-packages/lisp/python-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/re-builder/"
"/usr/share/xemacs/xemacs-packages/lisp/reftex/"
"/usr/share/xemacs/xemacs-packages/lisp/riece/"
"/usr/share/xemacs/xemacs-packages/lisp/rmail/"
"/usr/share/xemacs/xemacs-packages/lisp/ruby-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/sasl/"
"/usr/share/xemacs/xemacs-packages/lisp/scheme/"
"/usr/share/xemacs/xemacs-packages/lisp/semantic/"
"/usr/share/xemacs/xemacs-packages/lisp/sgml/"
"/usr/share/xemacs/xemacs-packages/lisp/sh-script/"
"/usr/share/xemacs/xemacs-packages/lisp/sieve/"
"/usr/share/xemacs/xemacs-packages/lisp/slider/"
"/usr/share/xemacs/xemacs-packages/lisp/sml-mode/"
"/usr/share/xemacs/xemacs-packages/lisp/sounds-au/"
"/usr/share/xemacs/xemacs-packages/lisp/sounds-wav/"
"/usr/share/xemacs/xemacs-packages/lisp/speedbar/"
"/usr/share/xemacs/xemacs-packages/lisp/strokes/"
"/usr/share/xemacs/xemacs-packages/lisp/supercite/"
"/usr/share/xemacs/xemacs-packages/lisp/texinfo/"
"/usr/share/xemacs/xemacs-packages/lisp/text-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/textools/"
"/usr/share/xemacs/xemacs-packages/lisp/time/"
"/usr/share/xemacs/xemacs-packages/lisp/tm/"
"/usr/share/xemacs/xemacs-packages/lisp/tooltalk/"
"/usr/share/xemacs/xemacs-packages/lisp/tpu/"
"/usr/share/xemacs/xemacs-packages/lisp/tramp/"
"/usr/share/xemacs/xemacs-packages/lisp/vc/"
"/usr/share/xemacs/xemacs-packages/lisp/vc-cc/"
"/usr/share/xemacs/xemacs-packages/lisp/vhdl/"
"/usr/share/xemacs/xemacs-packages/lisp/view-process/"
"/usr/share/xemacs/xemacs-packages/lisp/viper/"
"/usr/share/xemacs/xemacs-packages/lisp/vm/"
"/usr/share/xemacs/xemacs-packages/lisp/w3/"
"/usr/share/xemacs/xemacs-packages/lisp/x-symbol/"
"/usr/share/xemacs/xemacs-packages/lisp/xemacs-base/"
"/usr/share/xemacs/xemacs-packages/lisp/xemacs-devel/"
"/usr/share/xemacs/xemacs-packages/lisp/xetla/"
"/usr/share/xemacs/xemacs-packages/lisp/xlib/"
"/usr/share/xemacs/xemacs-packages/lisp/xslide/"
"/usr/share/xemacs/xemacs-packages/lisp/xslt-process/"
"/usr/share/xemacs/xemacs-packages/lisp/xwem/"
"/usr/share/xemacs/xemacs-packages/lisp/zenirc/") "auto-autoloads")
  # bind (package-load-path)
  packages-load-package-auto-autoloads(("/usr/share/xemacs/site-packages/lisp/"
"/usr/share/xemacs/site-packages/lisp/site-start.d/"
"/usr/share/xemacs/mule-packages/lisp/"
"/usr/share/xemacs/mule-packages/lisp/edict/"
"/usr/share/xemacs/mule-packages/lisp/egg-its/"
"/usr/share/xemacs/mule-packages/lisp/latin-euro-standards/"
"/usr/share/xemacs/mule-packages/lisp/latin-unity/"
"/usr/share/xemacs/mule-packages/lisp/leim/"
"/usr/share/xemacs/mule-packages/lisp/locale/"
"/usr/share/xemacs/mule-packages/lisp/lookup/"
"/usr/share/xemacs/mule-packages/lisp/mule-base/"
"/usr/share/xemacs/xemacs-packages/lisp/"
"/usr/share/xemacs/xemacs-packages/lisp/ada/"
"/usr/share/xemacs/xemacs-packages/lisp/apel/"
"/usr/share/xemacs/xemacs-packages/lisp/auctex/"
"/usr/share/xemacs/xemacs-packages/lisp/bbdb/"
"/usr/share/xemacs/xemacs-packages/lisp/build/"
"/usr/share/xemacs/xemacs-packages/lisp/c-support/"
"/usr/share/xemacs/xemacs-packages/lisp/calc/"
"/usr/share/xemacs/xemacs-packages/lisp/calendar/"
"/usr/share/xemacs/xemacs-packages/lisp/cc-mode/"
"/usr/share/xemacs/xemacs-packages/lisp/clearcase/"
"/usr/share/xemacs/xemacs-packages/lisp/cookie/"
"/usr/share/xemacs/xemacs-packages/lisp/crisp/"
"/usr/share/xemacs/xemacs-packages/lisp/debug/"
"/usr/share/xemacs/xemacs-packages/lisp/dictionary/"
"/usr/share/xemacs/xemacs-packages/lisp/dired/"
"/usr/share/xemacs/xemacs-packages/lisp/docbookide/"
"/usr/share/xemacs/xemacs-packages/lisp/ecb/"
"/usr/share/xemacs/xemacs-packages/lisp/ecrypto/"
"/usr/share/xemacs/xemacs-packages/lisp/edebug/"
"/usr/share/xemacs/xemacs-packages/lisp/ediff/"
"/usr/share/xemacs/xemacs-packages/lisp/edit-utils/"
"/usr/share/xemacs/xemacs-packages/lisp/edt/"
"/usr/share/xemacs/xemacs-packages/lisp/efs/"
"/usr/share/xemacs/xemacs-packages/lisp/eieio/"
"/usr/share/xemacs/xemacs-packages/lisp/elib/"
"/usr/share/xemacs/xemacs-packages/lisp/emerge/"
"/usr/share/xemacs/xemacs-packages/lisp/erc/"
"/usr/share/xemacs/xemacs-packages/lisp/escreen/"
"/usr/share/xemacs/xemacs-packages/lisp/eshell/"
"/usr/share/xemacs/xemacs-packages/lisp/eterm/"
"/usr/share/xemacs/xemacs-packages/lisp/eudc/"
"/usr/share/xemacs/xemacs-packages/lisp/footnote/"
"/usr/share/xemacs/xemacs-packages/lisp/forms/"
"/usr/share/xemacs/xemacs-packages/lisp/fortran-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/frame-icon/"
"/usr/share/xemacs/xemacs-packages/lisp/fsf-compat/"
"/usr/share/xemacs/xemacs-packages/lisp/games/"
"/usr/share/xemacs/xemacs-packages/lisp/general-docs/"
"/usr/share/xemacs/xemacs-packages/lisp/gnats/"
"/usr/share/xemacs/xemacs-packages/lisp/gnus/"
"/usr/share/xemacs/xemacs-packages/lisp/haskell-mode/"
"/usr/share/xemacs/xemacs-packages/lisp/hm--html-menus/"
"/usr/share/xemacs/xemacs-packages/lisp/hyperbole/"
"/usr/share/xemacs/xemacs-packages/lisp/ibuffer/"
"/usr/share/xemacs/xemacs-packages/lisp/idlwave/"
"/usr/share/xemacs/xemacs-packages/lisp/igrep/"
"/usr/share/xemacs/xemacs-packages/lisp/ilisp/"
"/usr/share/xemacs/xemacs-packages/lisp/ispell/"
"/usr/share/xemacs/xemacs-packages/lisp/mail-lib/"
"/usr/share/xemacs/xemacs-packages/lisp/mailcrypt/"
"/usr/share/xemacs/xemacs-packages/lisp/mh-e/"
"/usr/share/xemacs/xemacs-packages/lisp/mine/"
"/usr/share/xemacs/xemacs-packages/lisp/misc-games/"
"/usr/share/xemacs/xemacs-packages/lisp/mmm-mode/"
"/usr/share/xemacs/xemacs-packages/lisp/net-utils/"
"/usr/share/xemacs/xemacs-packages/lisp/ocaml/"
"/usr/share/xemacs/xemacs-packages/lisp/oo-browser/"
"/usr/share/xemacs/xemacs-packages/lisp/os-utils/"
"/usr/share/xemacs/xemacs-packages/lisp/pc/"
"/usr/share/xemacs/xemacs-packages/lisp/pcl-cvs/"
"/usr/share/xemacs/xemacs-packages/lisp/pcomplete/"
"/usr/share/xemacs/xemacs-packages/lisp/perl-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/pgg/"
"/usr/share/xemacs/xemacs-packages/lisp/prog-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/ps-print/"
"/usr/share/xemacs/xemacs-packages/lisp/psgml/"
"/usr/share/xemacs/xemacs-packages/lisp/psgml-dtds/"
"/usr/share/xemacs/xemacs-packages/lisp/python-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/re-builder/"
"/usr/share/xemacs/xemacs-packages/lisp/reftex/"
"/usr/share/xemacs/xemacs-packages/lisp/riece/"
"/usr/share/xemacs/xemacs-packages/lisp/rmail/"
"/usr/share/xemacs/xemacs-packages/lisp/ruby-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/sasl/"
"/usr/share/xemacs/xemacs-packages/lisp/scheme/"
"/usr/share/xemacs/xemacs-packages/lisp/semantic/"
"/usr/share/xemacs/xemacs-packages/lisp/sgml/"
"/usr/share/xemacs/xemacs-packages/lisp/sh-script/"
"/usr/share/xemacs/xemacs-packages/lisp/sieve/"
"/usr/share/xemacs/xemacs-packages/lisp/slider/"
"/usr/share/xemacs/xemacs-packages/lisp/sml-mode/"
"/usr/share/xemacs/xemacs-packages/lisp/sounds-au/"
"/usr/share/xemacs/xemacs-packages/lisp/sounds-wav/"
"/usr/share/xemacs/xemacs-packages/lisp/speedbar/"
"/usr/share/xemacs/xemacs-packages/lisp/strokes/"
"/usr/share/xemacs/xemacs-packages/lisp/supercite/"
"/usr/share/xemacs/xemacs-packages/lisp/texinfo/"
"/usr/share/xemacs/xemacs-packages/lisp/text-modes/"
"/usr/share/xemacs/xemacs-packages/lisp/textools/"
"/usr/share/xemacs/xemacs-packages/lisp/time/"
"/usr/share/xemacs/xemacs-packages/lisp/tm/"
"/usr/share/xemacs/xemacs-packages/lisp/tooltalk/"
"/usr/share/xemacs/xemacs-packages/lisp/tpu/"
"/usr/share/xemacs/xemacs-packages/lisp/tramp/"
"/usr/share/xemacs/xemacs-packages/lisp/vc/"
"/usr/share/xemacs/xemacs-packages/lisp/vc-cc/"
"/usr/share/xemacs/xemacs-packages/lisp/vhdl/"
"/usr/share/xemacs/xemacs-packages/lisp/view-process/"
"/usr/share/xemacs/xemacs-packages/lisp/viper/"
"/usr/share/xemacs/xemacs-packages/lisp/vm/"
"/usr/share/xemacs/xemacs-packages/lisp/w3/"
"/usr/share/xemacs/xemacs-packages/lisp/x-symbol/"
"/usr/share/xemacs/xemacs-packages/lisp/xemacs-base/"
"/usr/share/xemacs/xemacs-packages/lisp/xemacs-devel/"
"/usr/share/xemacs/xemacs-packages/lisp/xetla/"
"/usr/share/xemacs/xemacs-packages/lisp/xlib/"
"/usr/share/xemacs/xemacs-packages/lisp/xslide/"
"/usr/share/xemacs/xemacs-packages/lisp/xslt-process/"
"/usr/share/xemacs/xemacs-packages/lisp/xwem/"
"/usr/share/xemacs/xemacs-packages/lisp/zenirc/"))
  startup-load-autoloads()
  normal-top-level()
  # (condition-case ... . error)
  # (catch top-level ...)
Comment 3 Ville Skyttä 2008-05-18 03:43:01 EDT
Yes, that's expected when there are two versions of a package installed.  If you
like, you can suppress (all) warnings by setting display-warning-minimum-level
eg. to "error" from:

M-x customize-variable RET display-warning-minimum-level RET
Comment 4 Bug Zapper 2008-11-26 05:43:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 02:49:05 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.